Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Web browser still tells me to upgrade after I've installed the latest version

  • 3 uphendule
  • 18 zinale nkinga
  • 29 views
  • Igcine ukuphendulwa ngu TonyE

more options

Every time I install an upgrade to Firefox, the main page continues to tell me to upgrade to a latest version, because it thinks I'm still using an outdated version. This happens with other sites that are no longer supporting older versions, even though I'm up to date - they're just not recognising it.

E.g. YouTube continues to display that message at the top of the page asking me to update my browser, even though it is the latest version. This all happens with sites where Flash Player is needed, thinking that I'm using an outdated version of that, too, even though I'm not.

How do I get the browser to recognise that I'm using the latest version?

Isisombululo esikhethiwe

You need to reset your user agent string (identifies the version of Firefox). Yours is "Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/2.0.0.14;MEGAUPLOAD 1.0", it has been altered by the megaupload add-on and is stuck on Firefox 2.0.0.14. For details of how to reset the user agent string so that it shows the correct version of Firefox see https://support.mozilla.com/kb/Websites+or+add-ons+incorrectly+report+incompatible+browser

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 0

All Replies (3)

more options

Isisombululo Esikhethiwe

You need to reset your user agent string (identifies the version of Firefox). Yours is "Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/2.0.0.14;MEGAUPLOAD 1.0", it has been altered by the megaupload add-on and is stuck on Firefox 2.0.0.14. For details of how to reset the user agent string so that it shows the correct version of Firefox see https://support.mozilla.com/kb/Websites+or+add-ons+incorrectly+report+incompatible+browser

more options

Thanks TonyE!

It worked. I should have asked this ages ago.

more options

You're welcome